/* * {outline: 1px dotted green} */
html {
    padding: 0;
    margin: 0;
    text-align: center;
}
body {
    background: #eee;
    margin: 0;
    padding: 0;
    color: #000;
    font-family: Helvetica, Arial, sans-serif;
}
h1, h2, h3 {
    padding:0;
    margin:0;
    font-weight: normal;
}
p {
    padding: 0;
    margin: 0;
}
a {
    color: #111;
    text-decoration: none;
}
a:hover {
    color: #333;
    text-decoration: none;
}
img {
    width: 100%;
    height: auto;
    border: none;
}
ul, li {
    margin: 0;
    padding: 0;
    list-style-type: none;
}
.wrap {
    /* margin-inline: auto; */
    padding-inline: .8rem;
}
.main {
    margin-inline: auto;
    max-width: 1000px;
    display: grid;
    grid-template-columns: minmax(300px,480px) 1fr;
    gap: 0;
}
.headerimage {
    max-width: 480px;
    height: auto;
    aspect-ratio: 6 / 1;
    cursor: pointer;
    display: block;
}
.headertext {
    font-size: 0;
    align-content: center;
    margin: 1rem 0;
}
    .headertext a {
        background-color: #87c6c7 ;
        padding: .5rem .8rem;
        margin: .6rem;
        font-size: 1.2rem;
        font-weight: bold;
        color: #333;
        border-radius: 4px;
    }
    .headertext a:hover {
        background-color: #f9ec99;
        color: #34302d;
    }
            @media screen and (max-width: 800px) {
                .main {
                    grid-template-columns: 1fr;
                }
                .headerimage {
                    margin-inline: auto;
                }
            }    
            @media screen and (max-width: 440px) {
                .headertext {
                    margin: 0;                    
                }
                .headertext a {
                    display: block;
                    padding: .3rem;
                }
            }            
.thumbs {
    clear: both;
    font-size: 0;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(360px,1fr));
    gap: .4rem;
}
    .thumbs a {
        border: 2px solid #4f1f60;
        border-radius: .25rem;
    }
    .thumbs a:hover {
        border-color: #e68d83;
    }
	.thumbs img {
		display: block;
		-webkit-user-drag: none;
		user-select: none;
		pointer-events: none;
	}	
    .thumbs.related {
        grid-template-columns: repeat(auto-fit, minmax(250px,1fr));
    }    
.general {
    display: grid;
    grid-template-columns: 60% 1fr;
    gap: .8rem;
    align-items: start;
    margin-inline:auto;
}
        @media screen and (max-width: 1350px) {
            .general {
                grid-template-columns: 1fr;
            }
        }        
.video-container {
    margin: 0;
    position: relative;
    aspect-ratio: 16 / 9;
    overflow: hidden;
}
    .video-container iframe, .video-container object, .video-container embed {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }       
.randoms {
    clear: both;
    margin: 1rem auto;
    font-size: 0;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    grid-auto-rows: 64px;
    gap: .8rem;
    max-height: calc(64px * 5 + .8rem * 4);
    overflow: hidden; 
}
    .randoms a {
        display: flex;
        align-items: center;
        justify-content: center;
        font-weight: bold;
        font-size: 1.7rem;
        color: #33302d;
        background-color: #fff;
        border-radius: 2px;
    }
    .randoms a:hover {
        background-color: #87c6c7;
    }
.indextop {
    clear: both;
    margin-inline: auto;
    font-size: 0;
    text-align: left;
        font-size: 0;
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
        gap: min(1vw,.5rem);
        margin-block: .3rem;    
}
    .indextop a {        
        padding: .5rem 1rem;        
    }
    .indextop a:hover {
        border-bottom: 1px;
        background-color: #fff;
        border-radius: 4px;
    }
    .indextop span {
        display: block;
        font-size: clamp(1.5rem, 1.3846rem + 0.5128vw, 2rem);
        font-weight: bold;
        color: #2c3e50;
    }
    .indextop p {
        font-weight: normal;
        font-size: .9rem;
        color: #e68d83;   
        letter-spacing: 1px;     
    }
    .indextop em {
        color: #999;
        display: block;
        font-size: .8rem;
        font-style: normal;
        /* padding-bottom: .5rem; */
    } 
    .indextop em::before {
        content: 'votes: ';
        color: #87c6c7;
    }
                @media screen and (min-width: 1000px) and (max-width: 1350px) {
                    .indextop a:nth-of-type(4) {
                        display: none;
                    }
                }
                @media screen and (max-width: 1000px) {
                    .indextop div {
                        border-bottom: 1px dotted #aaa;
                    }
                }
.fullwidth {
    clear: both;
    width: 100%;
    /* background: #edeae3; */
}
.footer {
    clear: both;
    margin: 0 auto;
    color: #34302d;
    font-size: 1rem;
    max-width: 940px;
    margin-top: 2rem;
}
    .footer p {
        padding: 8px 15px 5px 15px
    }
.pagination {
    clear: both;
    font-size: 1.5rem;
    color: #000;
    padding-block: 3rem;
    margin-inline: auto;
}
    .pagination ul {
        padding: 0;
    }
    .pagination li {
        display: inline;
    }
        .pagination li a {
            padding: 8px 12px;
            margin: 2px 1px;
            background-color: #929487;
            text-decoration: none;
            color: #fff;
            font-weight: 600;
            border-radius: 3px;
            text-transform: uppercase;
        }
        .pagination a:hover {
            background-color: #edeae3;
            text-decoration: none;
            color: #333;
        }